Package com.smartgwt.client.types

# Enum FieldAuditMode

java.lang.Object
java.lang.Enum<FieldAuditMode>
com.smartgwt.client.types.FieldAuditMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FieldAuditMode>`, `Constable`

public enum FieldAuditMode extends Enum<FieldAuditMode> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  the field value will be saved for all audited adds and updates, regardless of whether it's changed or present in the update
  `CHANGE`
  the field value will be saved for all audited adds, and for updates in which the value changed
  `NEVER`
  the field value will never be saved for any DataSource audit operation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FieldAuditMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldAuditMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final FieldAuditMode ALWAYS
    the field value will be saved for all audited adds and updates, regardless of whether it's changed or present in the update

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

  - ### CHANGE

    public static final FieldAuditMode CHANGE
    the field value will be saved for all audited adds, and for updates in which the value changed

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "change".

  - ### NEVER

    public static final FieldAuditMode NEVER
    the field value will never be saved for any DataSource audit operation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

- ## Method Details

  - ### values

    public static FieldAuditMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldAuditMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`